<?php
/*
  Plugin Name: Banckle Live Chat for Wordpress
  Plugin URI: http://banckle.com
  Description: The most innovative and feature-complete online live support tool ever made. Banckle Live Chat can help business increase sales, boost productivity, and cut costs of support and customer service. Get more happier customers.
  Version: 1.0
  Author: Imran Anwar
  Author URI: http://banckle.com

  Copyright 2011  banckle.com  (email : imran.anwar@banckle.com)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details at <http://www.gnu.org/licenses/>.
 */

$dir = get_option('siteurl') . '/' . PLUGINDIR . '/banckle-live-chat-for-wordpress/';

load_plugin_textdomain('bancleLiveChat', 'wp-content/plugins/banckle-live-chat-for-wordpress');


add_action('init', 'BanckleLiveChatInit');
add_action('wp_footer', 'BanckleLiveChatFooterScript');
//add_action('wp_header', 'BanckleLiveChatFooterScript');
add_action('admin_notices', 'BanckleLiveChatAdminNotice');

function BanckleLiveChatInit() {
	if (function_exists('current_user_can') && current_user_can('manage_options'))
		add_action('admin_menu', 'BanckleLiveChatSettings');
}

function BanckleLiveChatFooterScript() {
?>
	<style type="text/css">
		#banckleLiveChatButton
		{
			position: fixed;
			width: 100px;
			_border: solid 1px #e1e1e1;
			vertical-align: middle;
			_background: #ffdab9;
			text-align: center;
			_opacity:.5;
			_filter:Alpha(opacity=50);
			/* _filter:progid:DXImageTransform.Microsoft.Alpha(opacity=50); */
			bottom: 5px;
			right: 5px;
		}
		#banckleLiveChatButton img
		{
			width:100px;
		}
		
		

	</style>
<?php
	global $current_user;
	if (get_option('BLCScript')) {
		echo("<div id='banckleLiveChatButton'>");
		echo("\n<!-- Banckle Live Chat Code Start -->\n");
		echo("<script type='text/javascript' src='https://apps.banckle.com/em/visitor.do?dep=" . get_option('BLCScript') . "'></script>");
		echo("<a href='#' onclick='blc_startChat()'><img style='border:0px;' src='https://apps.banckle.com/em/onlineImg.do?d=" . get_option('BLCScript') . "'></a>");
		echo("\n<!-- Banckle Live Chat Code End -->\n");
		echo("</div>");
	}
}

function BanckleLiveChatAdminNotice() {
	if (!get_option('BLCScript'))
		echo('<div class="error"><p><strong>' . sprintf(__('Banckle Live Chat is disabled. Please go to <a href="%s"> page</a> to enable it.'), admin_url('options-general.php?page=banckle-live-chat-for-wordpress')) . '</strong></p></div>');
}

function BanckleLiveChatSettings() {

	function BanckleLiveChatSettings_page() {
		global $dir;
?>

		<style type="text/css">

			.banckle-lc-wp-container{
				border:1px solid #DBDBDB;
				float:left;
				padding:0px;
				margin:0px;
				width:798px;
				position:relative;
			}

			.banckle-lc-wp-container IMG{ border:0px;}

			.banckle-lc-wp-container h3{
				clear:both;
				display:block;
				float:left;
				padding: 10px 0px 0px 0px ;
				margin:0px;
				background: url(<?php echo($dir) ?>images/banckle-lc-wp-top1.gif) top left repeat-x;
				height:42px;
				text-indent:15px;
				font-size:16px;
				color:#333;
				width:100%;
				font-weight:bold;
			}

			.banckle-lc-wp-container-left{
				display:inline;
				float:left;
				padding:10px;
				margin:0px;
				width:130px;
			}

			.banckle-lc-wp-container-right{
				display:inline;
				float:right;
				width:620px;
				padding:10px;
				margin:0px;
				_font:12px/20px Georgia, "Times New Roman", Times, serif;
				color:#666;
			}

			OL{ margin:10px 0px;}
			li{margin-left:30px;}

			.banckle-lc-wp-container-right TEXTAREA{
				border:1px inset #eee;
				background:#F8F8F8;
				padding:5px;
				margin-left:0px;
				margin-bottom:5px;
				_height:100px;
				_width:600px;
			}
			div.row {
				clear: both;
				padding-top: 5px;
			}

			div.row span.label {
				float: left;
				width: 240px;
				text-align: right;
			}

			div.row span.formw {
				float: left;
				width: 235px;
				text-align: left;
			}
			
			.steps3{
			display:block;
			clear:both;
			float:left;
			background:url(<?php echo($dir) ?>images/3steps.png) top left no-repeat #ccc;
			width:646px;
			height:148px;
			margin-top:20px;
			}
			.steps3 UL{ padding:0px; margin:0px; margin-top:55px; font:12px/18px Arial, Helvetica, sans-serif}
			.steps3 UL LI{ padding:0px; margin:0px; display:inline; float:left; width:190px; padding:0px 12px;  }
			
			.postbox table.form-table{ margin-bottom:10px;}
			
			.wp-lc-mesg-success{ display:block; clear:both; float:left; width:646px; padding:88px 0px 0px 0px; text-align: center; height:60px; background:url(<?php echo($dir) ?>images/bg_success.png) top left no-repeat #ccc; font:bold 12px arial}
			
			.wp-lc-login{ display:block; clear:both; float:left; width:646px; padding:14px 0px 14px 0px; text-align: center; height:100px; background:url(<?php echo($dir) ?>images/bg_login.png) top left no-repeat #ccc; font:bold 12px arial}
			
			.wp-lc-error{ display:block; clear:both; float:left; width:646px; padding:78px 0px 0px 0px; text-align: center; height:70px; background:url(<?php echo($dir) ?>images/bg_error.png) top left no-repeat #ccc; font:bold 12px arial}
			
			.wp-lc-deploy{ display:block; clear:both; float:left; width:646px; padding:24px 0px 24px 0px; text-align: center; height:70px; background:url(<?php echo($dir) ?>images/bg_deployment.png) top left no-repeat #ccc; font:bold 12px arial}
			
			
			
			
			
		</style>
		<div class="wrap">
	<?php screen_icon() ?>
		<script src='<?php echo($dir) ?>jquery.json-2.2.min.js'></script>
		<h2>Banckle Live Chat</h2>
		<div class="metabox-holder meta-box-sortables pointer">
			<div class="postbox" style="float:left;width:53em;margin-right:20;">
				<h3 class="hndle" style="background: url(<?php echo($dir) ?>images/banckle-lc-wp-top1.gif) top left repeat-x; line-height: 30px;"><img style=" vertical-align: bottom;" src="<?php echo($dir) ?>images/live-chat_32.png" alt="<?php _e('Banckle Live Chat', 'Banckle Live Chat') ?>" /><span> Banckle Live Chat for WordPress</span></h3>

				<div class="inside" style="padding: 0 10px">
					<table class="form-table">
					<?php
					if (!get_option('BLCScript')) {
					?>
						<tr valign="top">
							<td>
								<div style="font-size:12px;">Banckle Live Chat plugin has been successfully integrated into your WordPress. To enable it, please follow these simple steps:</div>
								
                              
                                   <ol style="margin-top:20px;">
									<li> Go to https://apps.banckle.com and <a href="http://banckle.com/wiki/display/introduction/signing-into-banckle-apps.html">sign-in</a>. (If you do not have an account at Banckle then please <a href="http://banckle.com/wiki/display/introduction/signing-up-for-banckle-apps.html">sign-up</a> first.)</li>
									<li> Launch the <a href="http://banckle.com/wiki/display/introduction/launching-the-apps-admin-console.html">Banckle Admin Console</a>.</li>
									<li>Follow the steps to <a href="http://banckle.com/wiki/display/introduction/configuring-banckle-live-chat-for-your-website.html" class="external-link" rel="nofollow">Configure Banckle Live Chat for your website</a>.</li>
								</ol>
                                
                                
                             
							</td>
						</tr>

						<tr valign="top" style="padding-bottom:30px;">
							<td style="background:url(<?php echo($dir) ?>images/powered-by-banckle.gif) bottom right no-repeat; padding-bottom:60px;">
							<?php
							if ($_SERVER['REQUEST_METHOD'] == 'POST') {
								$loginId = $_POST['loginId'];
								$password = $_POST['password'];

								$token = '';
								$arr;
								$content = file_get_contents('https://apps.banckle.com/api/authenticate?userid=' . $loginId . '&password=' . $password);

								//echo $content . '<br><br>';
								if ($content !== false) {
									$arr = json_decode($content, true);
									//var_dump($arr);

									if (array_key_exists('error', $arr)) {
							?>
											 <div class="wp-lc-error">
                                         
												
													Oops, <?php echo $arr['error']['details']; ?>.
											 <br/>
												

													
                                                    <input style="margin-top:8px;" type="submit" class="button-primary" onclick="parent.location='options-general.php?page=banckle-live-chat-for-wordpress'" value="<?php _e('Try Again') ?>" />
                                                    
                                                    
                                               
												
											
                                            </div>


							<?php
									} else {
										//var_dump($arr);
										$token = $arr['return']['token'];

										//Get the XML document loaded into a variable
										$xmlDept = file_get_contents('https://apps.banckle.com/em/api/departments.xml?_token=' . $token);
										$xmlDept = new SimpleXMLElement(utf8_encode($xmlDept));
										if ($xmlDept->department[0]->id == "") {
							?>
											<div style="width: 580px; padding: 5px; margin: 0px auto;">
												<div class="row">
													<b>It seems you have not created a department yet.</b>
													<br/> Its easy! So lets <a target="_new" href="https://apps.banckle.com/livechat/?token=<?php echo $token; ?>"><b>create a department</b></a> now.
													<br/><a href="options-general.php?page=banckle-live-chat-for-wordpress">Try again</a>
												</div>
											</div>
							<?php
										} else {


											//Get the XML document loaded into a variable
											$xmlDeploy = file_get_contents('https://apps.banckle.com/em/api/deployments.xml?_token=' . $token);
											$xmlDeploy = new SimpleXMLElement(utf8_encode($xmlDeploy));
											if (count($xmlDeploy->deployment) > 0) {
							?>


											<form method="post" action="options.php">
												<?php wp_nonce_field('update-options'); ?>
													 <div class="wp-lc-deploy">
                                                     
                                                     <div style="width: 580px; padding: 5px; margin: 0px auto; line-height:26px">
														<div class="row">
															<span class="label"><label>Please Select Deployment:</label></span>
															<span class="formw">
																<select id="BLCScript" name="BLCScript"  style="width:140px">
																<?php

																	for($i=0;$i<count($xmlDeploy->deployment);$i++){
																		echo '<option value="'.$xmlDeploy->deployment[$i]->id.'">'.$xmlDeploy->deployment[$i]->name.'</option>';
																	}

																?>
																	</select>
															</span>
														</div>
														<div class="row">
															<span class="label">
																<!--input type="hidden" name="BLCScript" id="BLCScript" value="<?php echo $xmlDeploy->deployment[0]->id; ?>"/-->
																<input type="hidden" name="action" value="update" />
																<input type="hidden" name="page_options" value="BLCScript" />&nbsp;
															</span>
															 <span class="formw"><input style="margin-top:8px" type="submit" class="button-primary" value="<?php _e('Activate Live Chat') ?>" /></span>
														</div>
													</div>
                                                    
                                                    </div>
											</form>
							<?php
											} else {
							?>
											<div style="width: 580px; padding: 5px; margin: 0px auto;">
												<div class="row">
													<b>It seems you have not added a deployment yet.</b>
														<br/>Its easy! So lets <a target="_new" href="https://apps.banckle.com/livechat/?token=<?php echo $token; ?>"><b>add a deployment</b></a>.
														<br/><a href="options-general.php?page=banckle-live-chat-for-wordpress">Try again</a>
												</div>
											</div>
							<?php
											}//ends deployments
										}// ends departments
										//echo '<br><b>' . $token . '</b><br>';
									}// ends user auth.
								}// end if contents got from banclke
							} else {
							?>

								<form method="post" action="options-general.php?page=banckle-live-chat-for-wordpress">
                                  <div class="wp-lc-login">
                          
                           
									<div style="width: 580px; padding: 5px; margin: 0px auto; line-height:26px;">
										<div class="row">
											<span class="label"><label>Banckle Login ID:</label></span>
											<span class="formw"><input type="text" name="loginId" id="loginId" style="width:200px"/></span>
										</div>
										<div class="row">
											<span class="label"><label>Password:</label></span>
											<span class="formw"><input type="password" name="password" id="password"  style="width:200px"/></span>
										</div>
										<div class="row">
											<span class="label">&nbsp;</span>
											<span class="formw"><input type="submit" class="button-primary" value="Continue" /></span>
										</div>
									</div>
                                    
                                     </div>
								</form>
							<?php
							}// ends ispostback check
							?>
								</td></tr>
							<?php
						} else {
							?>
						<tr valign="top">
							<td style="background:url(<?php echo($dir) ?>images/powered-by-banckle.gif) bottom right no-repeat ; padding-bottom:60px">
                            <div class="wp-lc-mesg-success">
                            Banckle Live Chat Plugin has been successfully integrated and activated for your WordPress.
                         
								
								
							<form method="post" action="options.php">
								<?php wp_nonce_field('update-options'); ?>
								<input type="hidden" name="BLCScript" id="BLCScript" value=""/>
								<input type="hidden" name="action" value="update" />
								<input type="hidden" name="page_options" value="BLCScript" />
								
										
										<input style="margin-top:8px" type="submit" class="button-primary" value="<?php _e('Deactivate Live Chat') ?>" />
								

								
							</form>
								   </div>
								</td></tr>
							<?php
							}
							?>					

				</table>
			</div>

		</div>
	</div>

</div>

<?php
						}

						add_submenu_page('options-general.php', 'Banckle Live Chat', 'Banckle Live Chat', 'manage_options', 'banckle-live-chat-for-wordpress', 'BanckleLiveChatSettings_page');
					}
?>
